Skip to content

Get learnings for agent

GET
/api/v1/tuning/learnings/{agent_role}
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/tuning/learnings/example?limit=10' \
--header 'X-API-Key: <X-API-Key>'

Get cross-agent learnings for an agent.

agent_role
required
Agent Role
string
limit
Limit
integer
default: 10 >= 1 <= 100

Successful Response

Media typeapplication/json
Response Get Learnings For Agent Api V1 Tuning Learnings Agent Role Get
Array
Examplegenerated
[
"example"
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}